Survey: Spitzer First Look Survey (FLS) - NOAO Extragalactic - R

Telescope: KPNO Mayall 4 m telescope

Instrument: MOSAIC1

Filters: R

Fields: ELAIS-N1, xFLS

P.I.: D. Fadda

Reference: 2004AJ....128....1F

URL: http://irsa.ipac.caltech.edu/data/SPITZER/FLS_MAIN_R/
